For the complete documentation index, see llms.txt. This page is also available as Markdown.

Download a data package

API test authentication

Get a specific file from a data package version.

get
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
dataPackageIdstringRequired

The id of the data package.

versionIdstringRequired

The id of the data package version.

Query parameters
fileNamestringRequired

The name of the file.

Responses
307

A redirect to the actual file data.

get/dataPackages/{dataPackageId}/versions/{versionId}/downloads
GET /downloads/v1/dataPackages/{dataPackageId}/versions/{versionId}/downloads?fileName=text HTTP/1.1
Host: api.os.uk/
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Last updated

Was this helpful?